VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
CommandMenuItemTargetAdapter Class Reference
Inheritance diagram for CommandMenuItemTargetAdapter:

## Public Member Functions
bool | validateCommandMenuItem (CCommandMenuItem *item) override
| called before the item is shown to validate its state
bool | onCommandMenuItemSelected (CCommandMenuItem *item) override
| called when the item was selected

## Member Function Documentation

bool onCommandMenuItemSelected | ( | CCommandMenuItem * | item | ) |
| inline override virtual

called when the item was selected

Implements ICommandMenuItemTarget.

Reimplemented in VST3Editor.

bool validateCommandMenuItem | ( | CCommandMenuItem * | item | ) |
| inline override virtual

called before the item is shown to validate its state

Implements ICommandMenuItemTarget.

Reimplemented in VST3Editor.

The documentation for this class was generated from the following file:

- icommandmenuitemtarget.h